## Struct parameter_pack

zeep::http::rest_controller::parameter_pack — helper class for pulling parameter values out of the request

## Synopsis

    // In header: <zeep/http/rest-controller.hpp>

    // helper class for pulling parameter values out of the request

    struct parameter_pack {
      // construct/copy/destruct
      (request &);

      // public member functions
       () ;
       () ;
       () ;
      file_param () ;
      file_param > () ;

      // public data members
      request & m_req;
      param > m_path_parameters;
    };

## Description

### `parameter_pack` public construct/copy/destruct

1.     (request & req);

### `parameter_pack` public member functions

1.      ( name) ;

2.      ( name) ;

3.      ( name) ;

4.     file_param ( name) ;

5.     file_param > ( name) ;